-#!/bin/sh
+# This shell script fragment is sourced by git-rebase to implement
+# its merge-based non-interactive mode that copes well with renamed
+# files.
#
# Copyright (c) 2010 Junio C Hamano.
#
cmt=`cat "$state_dir/current"`
if ! git diff-index --quiet --ignore-submodules HEAD --
then
- if ! git commit --no-verify -C "$cmt"
+ if ! git commit ${gpg_sign_opt:+"$gpg_sign_opt"} --no-verify -C "$cmt"
then
echo "Commit failed, please do not call \"git commit\""
echo "directly, but instead do one of the following: "
"$GIT_DIR"/hooks/post-rewrite rebase <"$state_dir"/rewritten
fi
fi
- rm -r "$state_dir"
say All done.
}
continue_merge
done
finish_rb_merge
- exit
+ return
;;
skip)
read_state
continue_merge
done
finish_rb_merge
- exit
+ return
;;
esac